0

I need to install iTunes 12.6.5 per this article in order to be able to download iPad apps directly from iTunes (since that functionality was later removed from iTunes). So I've tried to follow the relatively simple instructions by downloading the installer package, and running it. However as soon as I try to open the "Install iTunes" app it says "This software is not supported on your system."

I'm running macOS 10.14.2 (Mojave). Do I need to somehow uninstall the existing version of iTunes first? I tried doing that by dragging it from Applications into the Trash, but that reported "iTunes can't be modified or deleted because it's required by macOS."

1

At the bottom of the article it says the version isn’t compatible with Mojave.

This version of iTunes is not compatible with macOS Mojave.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .